---
title: "Diabetes (might have) saved my life"
date: 2022-09-27T00:00:00
slug: diabetes-might-have-saved-my-life

---
In April this year, I went to see the doctor and had some blood tests done as part of the checkups. When I spoke to the doctor about the results, he dropped a bombshell I wasn’t-but-also-sort-of-was expecting: I was diabetic.

I had no symptoms, so I had no idea, but it still wasn’t wholly unexpected. Over the previous few years my physical fitness had slid quite drastically, my diet was poor, and I didn’t get a huge amount of exercies. The lockdowns in 2020 and early 2021 only exacerbated things.

A week later, I went to the diabetic clinic, and was prescribed some tablets to help control blood sugar levels, along with a warning about some of the fun side effects. I was also given some tips about diet and exercise, and sent on my way.

## [Fixing things](https://lewisdale.dev/post/diabetes-might-have-saved-my-life/#fixing-things)

This scared the hell out of me. I was young to get the diagnosis - 27 at the time - and it’s the first time I’d ever really felt my own mortality. I have a daughter, and the thought of not being around for her was too much to contemplate.

So I started trying to improve things. I started small, just going for walks before work, at lunchtime, and then after work. I also restricted myself to a low-carb diet, which isn’t something I’d recommend to anyone who isn’t trying to control blood sugar. Did you know you can actually have withdrawal symptoms from stopping sugar? They lasted about 5 days and made me feel a bit dizzy and nauseous.

After a little while I started cycling to places - at first just to the supermarket and back, eventually discovering that I actually *really* enjoy cycling, and now it’s my preferred way to commute. I started to see results quickly: I lost weight, had more energy, and slept better (and apparently no longer snore).

## [The aftermath](https://lewisdale.dev/post/diabetes-might-have-saved-my-life/#the-aftermath)

After about 3 months I went back to the doctors to have my blood sugars tested, and they were normal, something the clinician that was treating me said she’s only seen 3 or 4 times in the 12 years she’s been doing the job. I’m now on a path to remove medication entirely and (hopefull) reverse the diagnosis.

But more importantly, getting this diagnosis was the kick I needed to sort my physical health out. In total I’ve lost 27kg since diagnosis, and about 32kg from my peak weight (that’s about 60 and 70lbs, respectively, if that’s your thing). My blood pressure is lower, my heart rate is lower, I have way more energy, and I’ve gained a hobby I genuinely enjoy. I do need to buy a lot of new clothes, though.
