---
title: "Lemmy: 4 weeks in"
date: 2023-08-22T08:33:50
slug: lemmy-4-weeks-in
tags: [fediverse]
---
So it's been long enough since [I decided to try out using Lemmy](https://lewisdale.dev/post/trying-out-lemmy-as-a-reddit-alternative/) that I think I can give a fair summary of how I feel about it as a service. 

TL;DR it's good, has it's issues (mostly moderation), but once you start using it properly it gets better.

## The good

The good part about Lemmy is that, quite simply, it does what it says on the tin. There are quite a few high-subscriber communities, with a lot of activity. There's generally plenty to read, and now I've got a decent amount of federated communities I'm not finding myself coming across the same groups of posts on repeat.

I've not posted or commented a great deal on there, but the few times I have the interactions have been pretty pleasant. Much like I used Reddit, though, I'm largely an observer rather than an interactor.

## The bad

As with any community, the hardest part is moderation. And Lemmy is obviously no different. I've had a fair few instances of bot-produced spam posts filling up my feed that have been federated from other instances. Even the larger instances will still struggle with getting bots in check, because it's a hard problem to solve. Luckily I'm the admin of my instance, so any spam user I see is banned & purged, but it's still frustrating to need to do that frequently. I think it's more noticable because there are fewer posts than on Reddit.

And then the second point is... well, there are fewer posts than on Reddit. I'm not really found any active communities for some of my more niche hobbies (read: cycling). Communities exist, but there's not a lot of posting on them.

## Using it on a single-user instance

Things have gotten better recently after I found out about [LCS - Lemmy Community Seeder](https://github.com/Fmstrat/lcs). It's a tool that runs as a background user and quietly subscribes to the popular communities from other instances, so that they get federated to the server. The result is that my instance now knows about quite a few other communities and the posts get federated to it.

Now, if I scroll the `All` feed, I see quite a lot of posts that I otherwise wouldn't, which makes for a much more fulfilling browsing experience.
