module.exports = (eleventyConfig) => {
    eleventyConfig.addCollection('tags', (collectionApi) => {
        const tags = new Set();
        collectionApi.getAll().forEach((item) => {
            if (!item.data.tags) return;
            item.data.tags.forEach((tag) => tags.add(tag));
        });
        return [...tags];
    });
}