---
title: "First thoughts: Sensah Team Pro shifters"
date: 2023-11-23T23:00:32
slug: first-thoughts-sensah-team-pro-shifters
tags: [cycling]
---
My Shimano front shifter recently gave out while I was on a ride:

![A road bike leaning against a wall. The front shifter is stuck inwards at an awkward angle](./src/images/broken-shifter.jpeg)

Not an ideal situation, really. But apparently it's a pretty common failure on the 105 shifters - previously I was able to bodge it by gluing a piece of plastic to the shifting arm, but now it looks like the internal spring has gone.

So, not wanting to fork out £200 for a new set of shifters, I figured I'd try out a set I've had my eye on for a while: The [Sensah Team Pro 11-speed shifters](https://www.aliexpress.com/item/1005002598141724.html) from AliExpress.

Most of the Sensah shifters are Shimano-compatible, with the Empire shifters being the exception, as they're SRAM-only. But the reviews online were favourable, and given it came to a total of £65 including delivery I thought "why not?".

They took about 5 days to arrive and honestly, I was pretty impressed.

![A pair of road bike shifters in the box](./src/images/WhatsApp-Image-2023-11-11-at-10.19.25.jpeg)

They feel really sturdy, and if I didn't know otherwise I'd think they were far more expensive than they actually cost. Fitting them was pretty simple too - I had to reroute my cabling slightly because the shifting cable holes are positioned differently. Once that was done though, they indexed really nicely.

![Road bike with new shifters applied. The "TEAM PRO" logo is visible](./src/images/bike-new-shifters.jpeg)

I've not taken them for a ride yet - I've still got a little bit to do on the bike first, like fix the brakes. I think they'll take a bit of getting used to - they've got a single lever, so you do a short tap to shift downwards, a longer to shift upwards, and then an extra-long tap to shift 3 gears up (on the rear, anyway). But, so far I'm really happy with them.
